Bug 31993 - green dots zipping down screen
green dots zipping down screen
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
7.1
i686 Linux
medium Severity low
: ---
: ---
Assigned To: Preston Brown
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-03-16 10:49 EST by Brian Gunney
Modified: 2007-04-18 12:32 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-20 17:06:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brian Gunney 2001-03-16 10:49:24 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux 2.4.1-0.1.9 i686; en-US; Galeon)
Gecko/20010217


Hardly noticeable, but it's there.  About 3/4 of the way toward the right
side of the screen, there are green dots zipping down the screen.

Reproducible: Always
Steps to Reproduce:
1.Install wolverine, choosing the defaults for the X configuration
2.Boot up in run level 5.

This happens on a Dell Inspiron 4000.  Pentium.  ATI Mobility M3 video
card.  8MB video memory.
	

Actual Results:  Everything looks pretty normal except for the dots.

Expected Results:  No dots.

This problem is fixed by using an XF86Config-4 file provided by Dell
on their web page.  I can't claim to understand all the significant  fields
(maybe the modeline?) but here's the file. (I added the 3-button emulation
line):

Section "ServerLayout"
	Identifier     "XFree86 Configured"
	Screen      0  "Screen0" 0 0
	InputDevice    "Mouse0" "CorePointer"
	InputDevice    "Keyboard0" "CoreKeyboard"
EndSection

Section "Files"
EndSection

Section "Module"
	Load  "GLcore"
	Load  "dbe"
	Load  "dri"
	Load  "extmod"
	Load  "glx"
	Load  "pex5"
	Load  "record"
	Load  "xie"
EndSection

Section "InputDevice"
	Identifier  "Keyboard0"
	Driver      "keyboard"
EndSection

Section "InputDevice"
	Identifier  "Mouse0"
	Driver      "mouse"
	Option      "Protocol" "PS/2"
	Option      "Device" "/dev/mouse"
        Option      "Emulate3Buttons" "yes"
EndSection

Section "Monitor"
	Identifier   "Monitor0"
	VendorName   "Monitor Vendor"
	ModelName    "Monitor Model"
	HorizSync     31.5 - 48.5
	VertRefresh   60
	Modeline "1024x768"   65.000  1024 1048 1065 1344   768  770  776  806
EndSection

Section "Device"
	### Available Driver options are:-
        #Option     "NoAccel"
        #Option     "SWcursor"
        #Option     "HWcursor"
        #Option     "Dac6Bit"
        #Option     "Dac8Bit"
        #Option     "ForcePCIMode"
        #Option     "CCEPIOMode"
        #Option     "CCENoSecurity"
        #Option     "CCEusecTimeout"
        #Option     "AGPMode"
        #Option     "AGPSize"
        #Option     "RingSize"
        #Option     "VBListSize"
        #Option     "VBSize"
        #Option     "UseCCEfor2D"
        #Option     "PanelWidth"
        #Option     "PanelHeight"
        #Option     "UseFBDev"
	Identifier  "Card0"
	Driver      "r128"
	VendorName  "ATI"
	BoardName   "Rage 128 Mobility LF"
	BusID       "PCI:1:0:0"
EndSection

Section "Screen"
	Identifier "Screen0"
	Device     "Card0"
	Monitor    "Monitor0"
 	DefaultDepth 24
	SubSection "Display"
		Depth     16
		Modes "1024x768"
	EndSubSection
	SubSection "Display"
		Depth     24
		Modes "1024x768"
	EndSubSection
EndSection

Section "DRI"
EndSection
Comment 1 Preston Brown 2001-03-20 17:00:47 EST
I need to know the PCI ids of the video on this laptop, and ASAP.

lspci -n
lspci -v

Comment 2 Preston Brown 2001-03-20 17:10:50 EST
never mind, found the PCI ids.

Fixed in Xconfigurator 4.9.25 and later.

Note You need to log in before you can comment on or make changes to this bug.